/* ---------------- SHOP MOBILE ---------------- */
@media only screen and (max-width: 768px)  {
  

/* ---------------- ITEMS ---------------- */

.item-row 
{ padding: 5px; }

        .select-selected {
        padding: 8px; }

        /* DREIECK */
        .select-selected:after, .card-catalogue-head::after  {
        content: "";
        position: absolute;
        top: 19px;
        right: 9px;
        width: 0;
        height: 0;
        border: 4px solid transparent;
        border-color: var(--grey) transparent transparent transparent;
        transform: translateY(-50%);
        transform-origin: center 25%; /* Dreht sich um die Mitte des Dreiecks */
        transition: all 0.3s ease; /* Animation hinzufügen */
        }

        .select-selected.select-arrow-active:after, .card-catalogue-head.open::after {
        transform: translateY(-50%) rotate(180deg); }


    .card-license-model-head button, .card-license-owner-head button, .card-license-size-head button {
    width: 13px;
    height: 13px;
    }


/************ ITEMS IM Warenkorb-Stil */

.item-family,
.item-style,
.item-price {
  font-size: var(--m);
  position: relative; 
  top: -1px
}



    .checkmark {
    width: 14px;
    height: 14px; }

    /* Checkbox hover wenn über Warenkorb-Zeile gehovert wird */
    .item-row.cart-style:hover .checkmark, .item-row.product-style:hover .checkmark {
    background: transparent; }
    
    .checkbox-container input:checked + .checkmark::before {
    width: 8px;
    height: 8px;
    top: 2px;
    left: 2px; }
   
    /* Produkte-Stil */
    .item-row.product-style {
    grid-template-columns: auto 2fr 4fr 3fr;
    gap: 10px; /* Einheitlicher Abstand */ }



/* WARENKORB ICON */

#cart-count-wrapper {
  position: relative;
  display: inline-block;
  padding: 2px 7px 1px 7px;
  font-size: var(--xs);
  top: -2px; }

#cart-count-wrapper.has-items {
  background: var(--green);
  font-variation-settings: "MONO" 1;
  font-size: var(--xs);
}


    #cart-count-wrapper::before {
    content: "";
    position: absolute;
    left: 0;
    bottom: -1px;
    width: 100%;
    height: 100%;
    border: 1px solid var(--black);
    border-top: none;
    pointer-events: none;
    box-sizing: border-box;
    }

    #cart-count-wrapper::after {
    content: "";
    position: absolute;
    top: -4px;
    left: 20%;
    width: 50%;
    height: 3px;
    border: 1px solid var(--black);
    border-bottom: none;
    border-radius: 3px 3px 0 0;
    pointer-events: none;
    }







#cart-overlay {
display: flex;
flex-direction: column;
align-items: stretch;
scroll-behavior: auto; /* Kein smooth scroll im Overlay */ }

    /* Overlay beim Öffnen nach oben scrollen */
    #cart-overlay.active {
    scroll-behavior: auto;
    }

div#cart-header {
padding: 20px; }

/* Inhalt innerhalb von cart-content */
#basket,
#license,
#review {
flex: 0; /* ÄNDERN - alle drei gleich breit */
}

/* HINZUGEFÜGT: Cart Content untereinander auf Mobile */
#cart-content {
flex-direction: column; /* Untereinander */
align-items: stretch;
gap: 0px;
padding: 60px 20px 20px 20px; } /* 60, da wo content immer anfängt */



/* FORMULAR PADDINGS */
 .card-basket-head, .card-catalogue-head, .card-license-model-head, .card-license-owner-head, .card-client-info-head, 
 .card-license-size-head, .help-text, .form-row input, .select-selected, #review-content, .select-items div,
 div#license-model-des {
padding: 8px; }


/********** DIV License Select */

div#card-basket, div#card-catalogue, div#license-model-wrapper, div#license-owner-wrapper, div#license-size-wrapper
{ margin-bottom: 15px; } /* ersetzt gap in #cart-content */


/* ---------------- F O R M U L A R ---------------- */

.form-row {
flex-direction: column;
gap: 0; }

    .form-row input {
    width: 100%;
    margin-right: 0;
    margin-bottom: -1px;
    }
    .form-row input:last-child {
    margin-bottom: 0;
    }


/* Lizenz-Optionen auf Mobile */
.license-options {
grid-template-columns: 1fr;
}

.license-card {
margin-right: 0;
padding: 20px;
}

    .license-card:nth-child(2n) {
    margin-right: 0;
    }

    /* LÄNDER AUSWAHL */
    .select-items {
    height: 228px; 
     }

/* ---------------- R E V I E W S P A L T E ---------------- */

.receipt-line {
  border-bottom: 1px dashed var(--black);
  margin: 7px 0px;
}

/* Produkte Review / DISOCUNT, Sub, VAT, Total Berechnungen */
.review-line-item, .calc {
flex-direction: column;
padding: 0px 0px 5px 0px;
}

/* Produkte Review / DISOCUNT, Sub, VAT, Total Berechnungen */
.review-line-item:last-child, {
padding: 0px 0px 0px 0px;
}
    .calc, .calc:last-child
    { padding: 0px 0px 0px 0px; }


.review-product,
.review-license,
.review-price {
width: 100%;
text-align: left;
}

.review-license {
font-size: var(--m);
}


.calc-label,
.calc-info,
.calc-value {
width: 100%;
text-align: left;
}
.calc-info {
font-size: var(--m);
}


/* ---------------- EULA CHECKBOX ---------------- */


.text-with-checkbox {
  margin-top: 0px;
  margin-left: 7px;
}




/* Error Message auf Mobile */
.error-message {
width: calc(100vw - 40px);
padding: 10px;
right: -700px; /* Start außerhalb des Bildschirms */
}

.error-message > #cart-overlay
{ opacity: 0 }
    .error-message p,
    .error-message li {
    font-size: var(--m);
    }



    .payment-content {
    top: 0px;
    width: 100vW;
    max-width: calc(100vW - 40px);
    height: calc(100vH - 120px);
    padding: 15px;
    border: 1px solid var(--black);
    background: var(--white);
    position: relative;
    text-align: center;
    animation: fadeIn 0.5s ease-in; 
    }



}